> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thrivory.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create adjudication + terms using authorization_id



## OpenAPI

````yaml api-reference/openapi.json post /v1/claims/adjudications
openapi: 3.1.0
info:
  title: Thrivory ThriveNow API
  version: 1.0.0
  description: >-
    Unified API for claim review (predictions), adjudication & funding, claim
    status, webhooks, and reconciliation. Production access requires a BAA with
    Thrivory. All endpoints use HTTPS and JSON.
  contact:
    name: Thrivory Support
    email: support@thrivory.com
  termsOfService: https://thrivory.com/terms
servers:
  - url: https://api.sandbox.thrivory.com
    description: Sandbox
  - url: https://api.thrivory.com
    description: Production
security:
  - oauth2:
      - claims:read
      - claims:write
      - settlements:write
      - metadata:read
      - webhooks:manage
      - imports:write
      - payouts:write
tags:
  - name: Auth
  - name: Metadata
  - name: Claims
  - name: Adjudications & Settlements
  - name: Payout Accounts
  - name: Webhooks
  - name: Imports
  - name: Operations
paths:
  /v1/claims/adjudications:
    post:
      tags:
        - Adjudications & Settlements
      summary: Create adjudication + terms using authorization_id
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdjudicationCreateRequest'
      responses:
        '200':
          description: Adjudication created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Adjudication'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
      description: Provide a unique key per request to enable safe retries
  schemas:
    AdjudicationCreateRequest:
      type: object
      properties:
        authorization_id:
          type: string
        funding:
          type: object
          properties:
            rail:
              type: string
              enum:
                - RTP
                - SAME_DAY
                - FUTURE_DATE
            desired_date:
              type: string
              format: date
          required:
            - rail
        payout_account_token:
          type: string
      required:
        - authorization_id
        - funding
    Adjudication:
      type: object
      properties:
        settlement_id:
          type: string
        decision:
          type: string
          enum:
            - approved
            - declined
            - manual_review
        terms:
          type: object
          properties:
            advance_percentage:
              type: number
            advance_amount:
              type: number
            fees_estimate:
              type: number
        status:
          type: string
          enum:
            - pending_confirmation
            - approved
            - declined
            - canceled
            - funded
        expected_reimbursement:
          type: number
        expected_payment_date:
          type: string
          format: date
      required:
        - settlement_id
        - decision
        - status
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error code
        message:
          type: string
        request_id:
          type: string
        details:
          type: object
      required:
        - error
        - message
  responses:
    BadRequest:
      description: 400 Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: 401 Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: 404 Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: 500 Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.thrivory.com/v1/oauth/token
          scopes:
            claims:read: Read claims
            claims:write: Create and modify claims
            settlements:write: Create/confirm/cancel settlements
            metadata:read: Read reference data (payers, codes)
            webhooks:manage: Manage webhook endpoints
            imports:write: Submit import jobs
            payouts:write: Manage payout accounts

````